# WisejSerializerOptions

Namespace: **Wisej.Core**

Assembly: **Wisej.Framework** (4.0.0.0)

Options for WisejSerializer.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum WisejSerializerOptions : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum WisejSerializerOptions As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                    | Description                                                                                                                                                        |
| ----------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **CamelCase**           | The names of the fields are serialized using camel casing: first char is lowercase (default).                                                                      |
| **Formatted**           | The output JSON string is pretty.                                                                                                                                  |
| **IgnoreDefaults**      | Default values are not serialized.                                                                                                                                 |
| **IgnoreNulls**         | Null values are not serialized.                                                                                                                                    |
| **None**                | No options.                                                                                                                                                        |
| **PreserveDecimal**     | Serializes a double/float/decimal 0 to 0.0.                                                                                                                        |
| **UseOptionsAttribute** | Use the [WisejSerializerOptionsAttribute](/api/wisej.core/general/wisej.core.wisejserializeroptionsattribute.md) assigned to the class or object being serialized. |

## Used By

| Name                                                                                                                     | Description                             |
| ------------------------------------------------------------------------------------------------------------------------ | --------------------------------------- |
| [JSON.ToJSON](/api/wisej.core/general/wisej.core.wisejserializeroptions.md)                                              | Serializes the object to a JSON string. |
| [JSON.Stringify](/api/wisej.core/general/wisej.core.wisejserializeroptions.md)                                           | Serializes the object to a JSON string. |
| [DynamicObject.ToJSON](/api/wisej.core/general/wisej.core.dynamicobject.md#tojson-formatted)                             | Serializes the object to a JSON string. |
| [IWisejSerializable.Serialize](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md#serialize-writer-options)     | Serialize the object in JSON format.    |
| [WisejSerializer.Serialize](/api/wisej.core/general/wisej.core.wisejserializer.md#serialize-value-options)               | Serializes an object to standard JSON.  |
| [WisejSerializerOptionsAttribute.Options](/api/wisej.core/general/wisej.core.wisejserializeroptionsattribute.md#options) | Options.                                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.core/general/wisej.core.wisejserializeroptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
